- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSDipBlockCoinSolver Class Reference

`#include <OSDipBlockCoinSolver.h>`

Inheritance diagram for OSDipBlockCoinSolver:

[legend]
Collaboration diagram for OSDipBlockCoinSolver:

[legend]
List of all members.

## Public Member Functions
virtual void | solve (double *cost, std::vector< IndexValuePair * > *solIndexValPair, double *optVal)
virtual void | solve (double *cost, std::string *osrl)
| OSDipBlockCoinSolver ()
| Default Constructor.
| OSDipBlockCoinSolver (OSInstance *osinstance)
| Create the solver with the instance.
| ~OSDipBlockCoinSolver ()
| Default destructor.
## Public Attributes
OSInstance * | m_osinstance
OSResult * | m_osresult
int | m_numberOfVar
CoinSolver * | m_solver
## Classes
class | Factory

## Detailed Description

Definition at line 39 of file OSDipBlockCoinSolver.h.

## Constructor & Destructor Documentation

OSDipBlockCoinSolver::OSDipBlockCoinSolver | ( |  | ) |

Default Constructor.

Definition at line 22 of file OSDipBlockCoinSolver.cpp.

Referenced by OSDipBlockCoinSolver::Factory::create().

OSDipBlockCoinSolver::OSDipBlockCoinSolver | ( | OSInstance * | osinstance | ) |

Create the solver with the instance.

Definition at line 28 of file OSDipBlockCoinSolver.cpp.

References CoinSolver::buildSolverInstance(), ErrorClass::errormsg, OSInstance::getVariableNumber(), m_numberOfVar, m_osinstance, m_solver, DefaultSolver::osinstance, osinstance, and DefaultSolver::sSolverName.

OSDipBlockCoinSolver::~OSDipBlockCoinSolver | ( |  | ) |

Default destructor.

Definition at line 51 of file OSDipBlockCoinSolver.cpp.

References m_solver.

## Member Function Documentation

void OSDipBlockCoinSolver::solve | ( | double * | cost,
|  | std::vector< IndexValuePair * > * | solIndexValPair,
|  | double * | optVal |
| ) |  |  | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | sv | -- a return value: sparse vector with the optimal column
  | optVal | -- a return value: the optimal solution value of the subproblem

Implements OSDipBlockSolver.

Definition at line 58 of file OSDipBlockCoinSolver.cpp.

References OSInstance::bObjectivesModified, Objective::coef, ErrorClass::errormsg, OSResult::getOptimalObjValue(), OSResult::getOptimalPrimalVariableValues(), OSResult::getSolutionStatusType(), OSInstance::instanceData, m_numberOfVar, m_osinstance, m_osresult, m_solver, Objectives::obj, InstanceData::objectives, CoinSolver::osiSolver, DefaultSolver::osresult, OSInstance::printModel(), CoinSolver::solve(), and ObjCoef::value.

void OSDipBlockCoinSolver::solve | ( | double * | cost,
|  | std::string * | osrl |
| ) |  |  | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | osrl | -- a return value: an osrl string

Implements OSDipBlockSolver.

Definition at line 106 of file OSDipBlockCoinSolver.cpp.

References ErrorClass::errormsg, OSResult::getSolutionStatusType(), m_osresult, m_solver, CoinSolver::osiSolver, DefaultSolver::osresult, DefaultSolver::osrl, and CoinSolver::solve().

## Member Data Documentation

OSInstance* OSDipBlockCoinSolver::m_osinstance

Definition at line 43 of file OSDipBlockCoinSolver.h.

Referenced by OSDipBlockCoinSolver(), and solve().

OSResult* OSDipBlockCoinSolver::m_osresult

Definition at line 44 of file OSDipBlockCoinSolver.h.

Referenced by solve().

int OSDipBlockCoinSolver::m_numberOfVar

Definition at line 45 of file OSDipBlockCoinSolver.h.

Referenced by OSDipBlockCoinSolver(), and solve().

CoinSolver* OSDipBlockCoinSolver::m_solver

Definition at line 47 of file OSDipBlockCoinSolver.h.

Referenced by OSDipBlockCoinSolver(), solve(), and ~OSDipBlockCoinSolver().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/solvers/OSDipBlockCoinSolver.h
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/solvers/OSDipBlockCoinSolver.cpp